summaryrefslogtreecommitdiffstats
path: root/desktop/thunar-media-tags-plugin
diff options
context:
space:
mode:
author Robby Workman2010-05-18 23:40:15 +0200
committer Robby Workman2010-05-18 23:40:15 +0200
commitd8da508f2a1484e44813ee6078f12f4dbcb3afe7 (patch)
tree19315e2db6c361fa2ec0266f2cb9d61a81605667 /desktop/thunar-media-tags-plugin
parent690e5c4b75b2b43698aa1bc025ed4db6920427bd (diff)
downloadslackbuilds-d8da508f2a1484e44813ee6078f12f4dbcb3afe7.tar.gz
desktop/thunar-media-tags-plugin: Miscellaneous cleanups.
Diffstat (limited to 'desktop/thunar-media-tags-plugin')
-rw-r--r--desktop/thunar-media-tags-plugin/thunar-media-tags-plugin.SlackBuild24
1 files changed, 16 insertions, 8 deletions
diff --git a/desktop/thunar-media-tags-plugin/thunar-media-tags-plugin.SlackBuild b/desktop/thunar-media-tags-plugin/thunar-media-tags-plugin.SlackBuild
index 5ddebdf53f..b382e0e0c5 100644
--- a/desktop/thunar-media-tags-plugin/thunar-media-tags-plugin.SlackBuild
+++ b/desktop/thunar-media-tags-plugin/thunar-media-tags-plugin.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for thunar-media-tags-plugin
-# Copyright 2006-2009 Robby Workman, Northport, Alabama, USA
+# Copyright 2006,2007,2008,2009,2010 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,10 +24,19 @@
PRGNAM=thunar-media-tags-plugin
VERSION=0.1.2
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -42,6 +51,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -72,12 +84,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \